Package org.eclipse.microprofile.fault.tolerance.tck.metrics.common

# Class RetryMetricBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.metrics.common.RetryMetricBean

@RequestScoped public class RetryMetricBean extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`RetryMetricBean.CallCounter`
`static class`
`RetryMetricBean.NonRetryableException`

## Constructor Summary

Constructors
Constructor
Description
`RetryMetricBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`failAfterDelay(Duration delay)`
`void`
`failSeveralTimes(int timesToFail, RetryMetricBean.CallCounter counter)`
`void`
`failSeveralTimesThenNonRetryable(int timesToFail, RetryMetricBean.CallCounter counter)`
`void`
`maxRetriesZero()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetryMetricBean

public RetryMetricBean()

## Method Details

### failSeveralTimes

@Retry(maxRetries=5) public void failSeveralTimes(int timesToFail, RetryMetricBean.CallCounter counter)

### failAfterDelay

@Retry(maxRetries=-1, maxDuration=1000L, delay=0L, jitter=0L) public void failAfterDelay(Duration delay) throws InterruptedException

Throws:
  `InterruptedException`

### failSeveralTimesThenNonRetryable

@Retry(maxRetries=5, abortOn=NonRetryableException.class) public void failSeveralTimesThenNonRetryable(int timesToFail, RetryMetricBean.CallCounter counter)

### maxRetriesZero

@Retry(maxRetries=0) public void maxRetriesZero()